Name:		xmlenc
Version:	0.52
Release:	9%{?dist}
Summary:	Light-weight XML output library for Java

Group:		Development/Libraries
License:	BSD
URL:		http://xmlenc.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	java-devel >= 1:1.6.0
BuildRequires:	jpackage-utils
BuildRequires:	ant
BuildRequires:	ant-junit
BuildRequires:	junit

Requires:	java >= 1:1.6.0
Requires:	jpackage-utils
BuildArch:	noarch

%description
This library is a fast stream-based XML output library for Java. 
Main design goals are performance, simplicitity and pureness. 


%package javadoc
Summary:	Javadocs for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}


%prep
%setup -q
find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;
rm -Rf build/*


%build
ant \
	-Djavac.targetvm=1.5 \
	all


%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_javadir}/
cp -pR build/%{name}.jar %{buildroot}%{_javadir}/

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pR build/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_javadir}/*
%doc CHANGES COPYRIGHT README THANKS


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.52-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 29 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-5
- URL now follows standards

* Wed Jan 28 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-4
- Group name fix
- Spec-file cleanup

* Mon Jan 26 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-3
- Small javac.targetvm build fix

* Mon Jan 26 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-2
- Added dependencies
- Small fixes

* Wed Jan 21 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.52-1
- Initial package.
